﻿/* Brukerinnstillinger - ikon med tilhørende k-window */
.ddUserSettingsIcon {
  background-image: url("../img/Brukerikon_hvit.svg");
  background-repeat: no-repeat;
  width: 24px;
  height: 24px;
  float: right;
  margin: 6px 20px 0 20px;
  cursor: pointer;
}

.ddUserSettingsIcon.aliasIcon {
  background-image: url("../img/Brukerikon_rod.svg");
}

.ddUserSettings.k-window {
  -webkit-box-shadow: 0 9px 10px 0px rgba(128, 128, 128, 0.3);
  -moz-box-shadow: 0 9px 10px 0px rgba(128, 128, 128, 0.3);
  box-shadow: 0 9px 10px 0px rgba(128, 128, 128, 0.3);
  border-style: none;
  position: absolute;
  right: 2%;
  top: 60px;
}

.ddUserSettingsIcon .ddUserSettingsArrow {
  content: "";
  position: absolute;
  right: 20px;
  top: 33px;
  z-index: 9;
  width: 0;
  height: 0;
  border-width: 0 20px 20px 20px;
  border-style: solid;
  border-color: transparent transparent #fff transparent;
}

/* Inne i brukervinduet */
#settingsContainer.ddUserSettingsContainer {
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

#UserIndicator {
  display: flex;
  align-items: center;
  gap: 8px;
}

.ddUserSettingsContainer .ddUserIcon {
  background-image: url(../img/Brukerikon_morkegronn.svg);
  background-repeat: no-repeat;
  background-size: contain;
  width: 24px;
  height: 20px;
}

.ddUserSettingsContainer .ddUserName {
  font-size: 20px;
  font-weight: 600;
  text-wrap: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.ddUserSettingsContainer .ddUserEmail {
  margin-left: 32px;
  margin-top: -12px;
}

.ddUserSettingsContainer .ddAliasSection {
}

.ddUserSettingsContainer .ddAliasIcon {
  background-image: url("../img/Brukerikon_rod.svg");
}

.ddUserSettingsContainer .ddAliasNameLoggedIn {
  color: #ac3030;
  margin-top: 4px;
}

.ddUserSettingsContainer .aliasExit {
  margin-left: 25px;
}

.ddUserSettingsContainer .ddAliasName {
  display: inline-block;
  margin-top: 5px;
}

.logout {
  color: #a01414;
}
